<?php

namespace Drupal\social_auth_vk\Plugin\Network;

use Drupal\social_auth\Plugin\Network\NetworkBase;

/**
 * Defines a Network Plugin for Social Auth LinkedIn.
 *
 * @Network(
 *   id = "social_auth_vk",
 *   short_name = "vk",
 *   social_network = "VK",
 *   img_path = "img/vk_logo.svg",
 *   type = "social_auth",
 *   class_name = "\Drupal\social_auth_vk\OAuth2\Client\Provider\VkSdkDecorator",
 *   auth_manager = "\Drupal\social_auth_vk\VkAuthManager",
 *   routes = {
 *     "redirect": "social_auth.network.redirect",
 *     "callback": "social_auth.network.callback",
 *     "settings_form": "social_auth.network.settings_form",
 *   },
 *   handlers = {
 *     "settings": {
 *       "class": "\Drupal\social_auth\Settings\SettingsBase",
 *       "config_id": "social_auth_vk.settings"
 *     }
 *   }
 * )
 */
class Vk extends NetworkBase {}
